Skip to main content
Settings/Settings Operations/Advanced Settings Operations
PUTAdvanced Settings OperationsSince 3.4.0SynchronousAuth Required

UpdateResourceConfig

UpdateResourceConfig

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • categoryStringRequired

    The setting category.

  • nameStringRequired

    The setting name.

  • resourceUuidStringRequired

    The resource UUID.

Body Fields

  • updateresourceconfigObjectRequired

    updateresourceconfig request body object.

    • valueStringRequired

      The setting value.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryResourceConfigInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • resourceUuidStringRequired

      The resource UUID corresponded by the setting.

    • resourceTypeStringRequired

      The resource type corresponded by the setting.

    • nameStringRequired

      The setting name.

    • descriptionStringRequired

      The detailed description of the setting.

    • categoryStringRequired

      The setting category.

    • valueStringRequired

      The setting value.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/resource-configurations/{category}/{name}/{resourceUuid}/actions

/zstack/v1/resource-configurations/{category}/{name}/{resourceUuid}/actions

Operation ID

UpdateResourceConfig

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/resource-configurations/{category}/{name}/{resourceUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateresourceconfig":{"value":"<value>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "ce61962673574ff689e2e6cb6f8cf558", "resourceUuid": "435a7c71c82b4b0b971f4674ab346822", "resourceType": "ClusterVO", "name": "cpu.overProvisioning.ratio", "category": "host", "value": "10", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history